cURL
# Get all jobs:
curl "https://api.ionq.co/v0.4/jobs" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"id": "e1a09d90-b2ba-4ea5-9fd7-4bfc14eac524",
"status": "completed",
"type": "ionq.circuit.v1",
"backend": "simulator",
"dry_run": false,
"cost_model": "QCT",
"submitter_id": "64b03577072d45001c85e9c4",
"project_id": "1333d459-cf47-4a5e-acc1-8d4eb4f7b025",
"parent_job_id": null,
"session_id": null,
"metadata": null,
"name": null,
"submitted_at": "2025-05-28T20:47:05.440Z",
"started_at": null,
"completed_at": null,
"predicted_execution_duration_ms": null,
"predicted_wait_time_ms": null,
"execution_duration_ms": null,
"shots": 1000,
"noise": {
"model": "ideal"
},
"failure": null,
"settings": {
"compilation": {}
},
"stats": {
"qubits": 20,
"circuits": 1,
"gate_counts": {
"1q": 1028,
"2q": 110
},
"predicted_quantum_compute_time_us": 5000,
"billed_quantum_compute_time_us": 5200
},
"results": {
"ionq.result.probabilities.json.v1": {
"id": "probabilities",
"format": "ionq.result.probabilities.json.v1",
"media_type": "application/json"
}
},
"output": {}
}
],
"next": null
}Jobs
Get jobs
List all jobs in your project with optional filtering.
GET
/
jobs
cURL
# Get all jobs:
curl "https://api.ionq.co/v0.4/jobs" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"id": "e1a09d90-b2ba-4ea5-9fd7-4bfc14eac524",
"status": "completed",
"type": "ionq.circuit.v1",
"backend": "simulator",
"dry_run": false,
"cost_model": "QCT",
"submitter_id": "64b03577072d45001c85e9c4",
"project_id": "1333d459-cf47-4a5e-acc1-8d4eb4f7b025",
"parent_job_id": null,
"session_id": null,
"metadata": null,
"name": null,
"submitted_at": "2025-05-28T20:47:05.440Z",
"started_at": null,
"completed_at": null,
"predicted_execution_duration_ms": null,
"predicted_wait_time_ms": null,
"execution_duration_ms": null,
"shots": 1000,
"noise": {
"model": "ideal"
},
"failure": null,
"settings": {
"compilation": {}
},
"stats": {
"qubits": 20,
"circuits": 1,
"gate_counts": {
"1q": 1028,
"2q": 110
},
"predicted_quantum_compute_time_us": 5000,
"billed_quantum_compute_time_us": 5200
},
"results": {
"ionq.result.probabilities.json.v1": {
"id": "probabilities",
"format": "ionq.result.probabilities.json.v1",
"media_type": "application/json"
}
},
"output": {}
}
],
"next": null
}List all jobs in your project with optional filtering by job status (submitted, ready, started, canceled, failed, completed). This provides a paginated overview of your job history including basic metadata and timing information for each job.
Authorizations
API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key
Query Parameters
Available options:
submitted, ready, started, canceled, failed, completed Filter jobs by backend target. Supports single target or comma-separated list of targets.
The id of another user within a shared project to view their submitted jobs. Ignored if not a project member.
Was this page helpful?

